#Доп. endpoints
#Содержание секции
GET /merchant/status— узнать статус транзакцииPOST /merchant/cancel— отменить транзакциюGET /merchant/balance— балансGET /merchant/banks— список банков
#GET /merchant/status
GET /merchant/status?transaction_id=8X85BPHJТот же payload, что webhook, плюс поле receipts:
{
"receipts": [
{
"id": "...",
"file_name": "...",
"multimedia_type": "...",
"content_type": "...",
"url": "..."
}
]
}#POST /merchant/cancel
POST /merchant/cancel{ "transaction_id": "8X85BPHJ" }Принимает transaction_id (наш короткий ID) или merchant_transaction_id. Работает только при status = process. Возвращает 204 No Content.
#GET /merchant/balance
GET /merchant/balance{ "balance": "0.00", "currency_rate": "79.53000000" }#GET /merchant/banks
GET /merchant/banks
GET /merchant/banks?country_code=RU[
{ "id": "a1b2c3d4-e5f6-7890-abcd-111111111111", "name": "Сбербанк", "country_code": "RU" },
{ "id": "a1b2c3d4-e5f6-7890-abcd-333333333333", "name": "Альфа-Банк", "country_code": "RU" }
]